GNU bug report logs - #39049
guix-install.sh: Create an init profile for better out-of-the-box experience on foreign distros

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Prafulla Giri <pratheblackdiamond@HIDDEN>; Keywords: fixed; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.
bug closed, send any further explanations to 39049 <at> debbugs.gnu.org and Prafulla Giri <pratheblackdiamond@HIDDEN> Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 39049 <at> debbugs.gnu.org:


Received: (at 39049) by debbugs.gnu.org; 17 Jan 2020 16:29:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 17 11:29:27 2020
Received: from localhost ([127.0.0.1]:39998 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1isUUu-0002QB-3d
	for submit <at> debbugs.gnu.org; Fri, 17 Jan 2020 11:29:27 -0500
Received: from eggs.gnu.org ([209.51.188.92]:36529)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1isUUp-0002Pv-UX
 for 39049 <at> debbugs.gnu.org; Fri, 17 Jan 2020 11:29:23 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34376)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1isUUk-0008Mo-Go; Fri, 17 Jan 2020 11:29:14 -0500
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=51322 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1isUUj-0002A2-JW; Fri, 17 Jan 2020 11:29:14 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Prafulla Giri <pratheblackdiamond@HIDDEN>
Subject: Re: [bug#39049] guix-install.sh: Create an init profile for better
 out-of-the-box experience on foreign distros
References: <CAFw+=j2HrBvUKp0WVeQMwxHyFih-azaK1zywKq9krxrN7h3bJw@HIDDEN>
Date: Fri, 17 Jan 2020 17:29:10 +0100
In-Reply-To: <CAFw+=j2HrBvUKp0WVeQMwxHyFih-azaK1zywKq9krxrN7h3bJw@HIDDEN>
 (Prafulla Giri's message of "Thu, 9 Jan 2020 13:08:36 +0545")
Message-ID: <878sm611yh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39049
Cc: 39049 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello Prafulla,

Prafulla Giri <pratheblackdiamond@HIDDEN> skribis:

> Attached is a patch that I think improves the guix user experience on a
> foreign distro. It creates a guix.sh init profile at /etc/profile.d (in t=
he
> same vein as flatpak with it's /etc/profile.d/flatpak.sh). I have been
> using the init file on few of my friends computers with no regressions.

That=E2=80=99s a great idea!  Do you know how common the /etc/profile.d/*.sh
convention is?

> I have tried my best to emulate the commit-logs as seen from `git log
> etc/guix-install.sh`. Please do let me know if I am doing anything wrong.
> This is my first real contribution to a GNU project, ever. I am still a
> n00b, and only have had experiences with GitHub based PRs so far, and sti=
ll
> have a lot to learn. Please forgive my klutzes.

You did very well, no worries!  (And it=E2=80=99s normal to need some time =
to
discover a project=E2=80=99s conventions when one joins it.)

> From 527d82c66a1e80779f75a16cfdd65634d55f32c1 Mon Sep 17 00:00:00 2001
> From: Prafulla Giri <pratheblackdiamond@HIDDEN>
> Date: Sat, 28 Dec 2019 12:48:52 +0545
> Subject: [PATCH] guix-install.sh: Create an init profile during installat=
ion
>
> Create an init profile (/etc/profile.d/guix.sh) during installation for
> better integration with foreign distros. This file, read by login-shells
> sets a few environment variables (PATH, GUIX_PROFILE, GUIX_LOCALE, along
> with XDG_DATA_DIRS) and makes guix-installed packages readily available
> for the users. Other environment variables, as listed by `guix package
> --search-paths=3Dprefix`, are also exported.
>
> Checks are in place to prevent the init profile from needlessly polluting
> the user's environment.
>
> * etc/guix-install.sh (sys_create_init_profile): New function to create
> /etc/profile.d/guix.sh init profile.

Applied, thanks!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#39049; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Jan 2020 09:56:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 09 04:56:34 2020
Received: from localhost ([127.0.0.1]:51815 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipUYL-0004Rm-PA
	for submit <at> debbugs.gnu.org; Thu, 09 Jan 2020 04:56:34 -0500
Received: from lists.gnu.org ([209.51.188.17]:43487)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pratheblackdiamond@HIDDEN>) id 1ipSAa-0000XF-K0
 for submit <at> debbugs.gnu.org; Thu, 09 Jan 2020 02:23:53 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:45446)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <pratheblackdiamond@HIDDEN>) id 1ipSAZ-0005CP-8Q
 for guix-patches@HIDDEN; Thu, 09 Jan 2020 02:23:52 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pratheblackdiamond@HIDDEN>) id 1ipSAX-0004wb-UM
 for guix-patches@HIDDEN; Thu, 09 Jan 2020 02:23:51 -0500
Received: from mail-oi1-x233.google.com ([2607:f8b0:4864:20::233]:43671)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <pratheblackdiamond@HIDDEN>)
 id 1ipSAX-0004sx-Mo
 for guix-patches@HIDDEN; Thu, 09 Jan 2020 02:23:49 -0500
Received: by mail-oi1-x233.google.com with SMTP id p125so5013981oif.10
 for <guix-patches@HIDDEN>; Wed, 08 Jan 2020 23:23:49 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=67YcXcZ3my1XDCSF3lv1P3ePJPkldBlZ1tgnfV7dMcA=;
 b=aBSi9E9OJ9us3THLNCz/hLRkY1asQIxuKYmOhszHn3frj++B6+VAzXkiXfC1ey4PFp
 6ypsuaYw9iIzgb+novPLE7TL8YpvxP8SOqhBBiei0Iolj7z7UJxPa73Zt7rFVslDIEby
 gIfFvMInAPo7WdKhnvZPaKnyjoqaUYeJ7noq/0JdLGGsoGDPSQ1USzLhYdzjp045FwN1
 fpfro1UtfNawoxqIBSLQvyEqp8JI/YLsOTm95wYyD894WAj6U5x8SczV3Shw7G36t7aX
 1V3HqcbQTfznNb57kV2Jedb/t5YP97480aPAYmsCPphWhJiFQstD3do7kGtpQc2x+kfH
 sUPA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=67YcXcZ3my1XDCSF3lv1P3ePJPkldBlZ1tgnfV7dMcA=;
 b=eGE//lSSQsxAuPCbdDqMk3gploj0ZjpmTrDuzI27Ro661dkZHli+6PsnXELQQSmihI
 KysgX9KiC6jJsfVHPWPCBOQWMLXB9VPXWMh/pJg4MOFtv/SUZcl3IgF6O0xciRY9txhv
 tfmK8OybUFsanAzOHR41RTP5iiODPOWm048c/uJz6qdxgGey7tEvOa3/9tCRTOmS5FFY
 DuBOlalZvcS04Zpcw3KW0tFqdqTEJHtflph937hAeNnPhY49fZBUKvosDCX7hPqTE0Iw
 8mdwtCOqHFX7eiRquAuzy7QoFKymGG1JSkFHQEV6kvXBWSxccLswRJz7pSdrJ3YOBp9H
 H8RA==
X-Gm-Message-State: APjAAAUEhFxJ2ZyfNacCN0yPJDPmt2Gukr67ok7DDsBW5Tt+CcEBFh2x
 NNycHG5lGF74S5TqmzyPGJLeBjhCU2qMXb58+N3twg==
X-Google-Smtp-Source: APXvYqxsUXoYlNxuaiuW2FNtbpPFG0TNIVZz/D1qLqM4fw/gTnukY7RaLkyTsSU7nCm6t1Dk3mPZxv2BdMlBYN8VaMs=
X-Received: by 2002:aca:cd92:: with SMTP id d140mr2063070oig.68.1578554628317; 
 Wed, 08 Jan 2020 23:23:48 -0800 (PST)
MIME-Version: 1.0
From: Prafulla Giri <pratheblackdiamond@HIDDEN>
Date: Thu, 9 Jan 2020 13:08:36 +0545
Message-ID: <CAFw+=j2HrBvUKp0WVeQMwxHyFih-azaK1zywKq9krxrN7h3bJw@HIDDEN>
Subject: guix-install.sh: Create an init profile for better out-of-the-box
 experience on foreign distros
To: guix-patches@HIDDEN
Content-Type: multipart/mixed; boundary="000000000000e153d7059bafe3e7"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::233
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 09 Jan 2020 04:56:33 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--000000000000e153d7059bafe3e7
Content-Type: multipart/alternative; boundary="000000000000e153d5059bafe3e5"

--000000000000e153d5059bafe3e5
Content-Type: text/plain; charset="UTF-8"

Esteemed maintainers,

Attached is a patch that I think improves the guix user experience on a
foreign distro. It creates a guix.sh init profile at /etc/profile.d (in the
same vein as flatpak with it's /etc/profile.d/flatpak.sh). I have been
using the init file on few of my friends computers with no regressions.

I have tried my best to emulate the commit-logs as seen from `git log
etc/guix-install.sh`. Please do let me know if I am doing anything wrong.
This is my first real contribution to a GNU project, ever. I am still a
n00b, and only have had experiences with GitHub based PRs so far, and still
have a lot to learn. Please forgive my klutzes.

--000000000000e153d5059bafe3e5
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>Esteemed maintainers,</div><div><br></div><div>Attach=
ed is a patch that I think improves the guix user experience on a foreign d=
istro. It creates a guix.sh init profile at /etc/profile.d (in the same vei=
n as flatpak with it&#39;s /etc/profile.d/flatpak.sh). I have been using th=
e init file on few of my friends computers with no regressions.</div><div><=
br></div><div>I have tried my best to emulate the commit-logs as seen from =
`git log etc/guix-install.sh`. Please do let me know if I am doing anything=
 wrong. This is my first real contribution to a GNU project, ever. I am sti=
ll a n00b, and only have had experiences with GitHub based PRs so far, and =
still have a lot to learn. Please forgive my klutzes.<br></div></div>

--000000000000e153d5059bafe3e5--

--000000000000e153d7059bafe3e7
Content-Type: text/x-patch; charset="US-ASCII"; 
	name="0001-guix-install.sh-Create-an-init-profile-during-instal.patch"
Content-Disposition: attachment; 
	filename="0001-guix-install.sh-Create-an-init-profile-during-instal.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_k56ejwhp0>
X-Attachment-Id: f_k56ejwhp0
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--000000000000e153d7059bafe3e7--




Acknowledgement sent to Prafulla Giri <pratheblackdiamond@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#39049; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 17 Jan 2020 16:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.